Subject: Re: [RFC PATCH 0/3] Enable connecting DSA-based switch to the USB RMII interface.

From: Andrew Lunn <[email-masked]>
Date: Tue, 21 Apr 2015 19:39:02 +0200

> > I would however say that sysfs is the wrong API. The linux network
> > stack uses netlink for most configuration activities. So i would
> > suggest adding a netlink binding to DSA, and place the code in
> > net/dsa/, not within an MDIO driver.
> 
> I suppose we could do that, but that sounds like a pretty radical change
> in how DSA is currently configured (that is statically at boot time),
> part in order to allow booting from DSA-enabled network devices (e.g:
> nfsroot).

We would keep both DT and platform device. But statically at boot does
not work for a USB hotpluggable switch!

    Andrew